#
# spec file for package spec (Version 2.0)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild

Name:         noUSDc64
License:      Freeware
Group:        unsorted
Autoreqprov:  on
Version:      1.1
Release:      1.8
Summary:      Commodore 64 Emulator
Source:       %name-d.zip
Source1:      pagezero.htm
BuildRequires: unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires: dosbox
BuildArchitectures: noarch

%description
Excellent Commodore C64 debugger for DOS.

This package uses the DOS PC emulator DOSbox to run. Directory mappings are as
follows:

$HOME -> H:
/ (root) -> R:
/tmp -> T:

%prep
%setup -c -T
unzip -L %SOURCE0
cp -p %SOURCE1 pagezero.html

%build

%install
install -d -m 755 $RPM_BUILD_ROOT/usr/share/%name
cp -p *.exe $RPM_BUILD_ROOT/usr/share/%name
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
cat <<EOT >$RPM_BUILD_ROOT/usr/bin/%name
#!/bin/sh
if test ! -e \$HOME/.%name
then
	mkdir -p \$HOME/.%name
	ln -sf /usr/share/%name/*.{exe,bat} \$HOME/.%name
fi
exec dosbox -conf /usr/share/%name/%name.dbc -exit -c "set HOME=\$HOME" \$HOME/.%name/%name.bat
EOT
chmod 755 $RPM_BUILD_ROOT/usr/bin/%name
cat <<EOT >$RPM_BUILD_ROOT/usr/share/%name/%name.bat
@echo off
mount h %%HOME%%
mount t /tmp
mount r /
no\$c64
EOT
cat <<EOT >$RPM_BUILD_ROOT/usr/share/%name/%name.dbc
[cpu]
core=dynamic
cycles=max
EOT

%files
%defattr(-,root,root)
%doc *.html
/usr/bin/%name
/usr/share/%name
